curl --request GET \
--url https://app.famulor.io/api/v1/loop/recording \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.famulor.io/api/v1/loop/recording"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.io/api/v1/loop/recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"recording": {
"available": true,
"active": true,
"status": "idle",
"canStart": true,
"canStop": true,
"reason": "<string>"
}
}
}Get Loop call recording
Read the recording state and available controls for an active Loop call. Requires loop:read, a user-owned credential and permission to control this call. Does not start recording.
Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, billing:write, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Query Parameters
Public Loop call ID.
Response
Confirmed recording controls for the selected call.
Show child attributes
Show child attributes